Bug 123748 - Time format may display uncorrected if value includes date
Summary: Time format may display uncorrected if value includes date
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-02-27 17:42 UTC by David Barnes
Modified: 2019-03-20 17:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Barnes 2019-02-27 17:42:34 UTC
Description:
The value in the cell is "2/25/2019 12:54:00" and value displayed as a time is "12:53".

Steps to Reproduce:
1. Type "2/25/2019 12:54:00"
2. Change cell format to "time"


Actual Results:
12:54

Expected Results:
12:53


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Eike Rathke 2019-02-27 18:48:37 UTC
Sigh.. well, the not rounded fraction here is 12:53:59.999999 as can be seen when formatted as HH:MM:SS.000000

A corner case fallout from the new not rounding wall clock times into the next magnitude behaviour. Investigating.
Comment 2 Commit Notification 2019-02-28 18:56:01 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/609ea85b530185910bf326201f785fd32bcbad2b%5E%21

Resolves: tdf#123748 do not strip date part before calling Time::GetClock()

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2019-02-28 21:36:28 UTC
Pending review https://gerrit.libreoffice.org/68513 for 6-2
Comment 4 Commit Notification 2019-03-04 15:48:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ac44b07f7ad305fe73c070ce38913b1578cc211a%5E%21

Resolves: tdf#123748 do not strip date part before calling Time::GetClock()

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-03-20 17:11:27 UTC
Verified in

Versión: 6.2.2.1
Id. de compilación: fcd633fb1bf21b0a99c9acb3ad6e526437947b01
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

@Eike, thanks for fixing this issue!